.logoBar{
  width: 100%;
  padding: 20px 80px;
  position: relative;
  span{
      position: absolute;
      top: 0;
      bottom: 0;
      height: fit-content;
      margin: auto;
      left: 180px;
      font-size: 34px;
      font-weight: 600;
  }
  img{
      width: 80px;
  }
}

.entertainment{
  margin-bottom: 150px;
  width: 100%;
  height: 900px;
  --background: url('../../assets/enter.png')  no-repeat cover fixed center;
  background: url('../../assets/enter.png') no-repeat fixed center; 
  -webkit-background-size: cover;
  -moz-background-size: cover;
  background-size: cover;

  .enterTextCover{
      width: 45%;
      padding: 30px;
      position: relative;
      display: inline-block;
      height: 100%;
      .enterText{
          color: white;
          position: absolute;
          margin: auto;
          top: 0;
          left: 0;
          bottom: 0;
          right: 0;
          width: 80%;
          // height: 50%;
          height: fit-content;
          h3{
              font-size: 60px;
          }
          p{
              font-size: 30px;
          }
      }
  }
  
  .formCover{
      position: relative;
      width: 55%;
      display: inline-block;
      height: 100%;
      .form{
          
          position: absolute;
          margin: auto;
          right: 0;
          top: 0;
          left: 0;
          bottom: 0;
          background-color: white;
          border: 1px solid black;
          border-radius: 10px;
          width: 60%;
          height: 90%; //fit-content;
          .formHeader{
              text-align: center;
              background-color: #1F83FF;
              border-radius: 5px 5px 0 0;
              height: 80px;
              line-height: 80px;
              color: white;
              font-size: 22px;
          }
          .formContent{
              padding: 40px 50px;
              fieldset{
                  border-radius: 5px;
                  border: 1px solid #ADADAD;
                  margin-bottom: 15px;
              }
              .inlineField{
                  display: inline-block;
                  width: 45%;
                  
              }
              .rightField{
                  float: right;
                  
              }
              .checkBox{
                  margin: 0 0 20px 0;
                  position: relative;
                  ion-checkbox{
                      position: absolute;
                      top: 0;
                      bottom: 0;
                      margin:auto ;
                      --border-color: #1F83FF;
                      --border-radius:0px;
                  }
                  p{
                      margin-left: 40px;
                  }
              }
              .btnContinue{
                  text-align: center;
                  ion-button{
                      width: 50%;
                      height: 40px;
                      font-size: 20px;
                      --background: #29A889;
                  }
              }

              .qrCode{
                  height: 450px;
                  text-align: center;
                  margin-top: 30px;
                  img{
                      height: 85%;
                      
                  }
              }
              .finishImg{
                  height: 450px;
                  text-align: center;
                  margin-top: 30px;
                  img{
                      height: 100%;
                  }
              }
              .scanText{
                  text-align: center;
                  margin: 20px auto;
              }
              .deeplink{
                display: none;
                text-align: center;
                margin: 20px auto;
              }
              .reload{
                  background-image: url('../../assets/reload.png');
                  background-repeat: no-repeat;
                  padding-left: 30px;
                  display: block;
                  width: 100px;
                  background-size: 20px 20px;
                  height: 20px;
                  line-height: 21px;
                  margin:30px auto;
                  cursor: pointer;
              }
          }
      }
  }
  
}

@media only screen and (max-width: 1400px) {
    .entertainment{
        height: 600px;
        .enterTextCover{
            h3{
                font-size: 50px ;
            }
            p{
                font-size: 20px ;
            }
        }
        .formCover{
            .form{
                width: 90%;
                .formHeader{
                    height: 60px ;
                    line-height: 60px ;
                    font-size: 20px ;
                }
                .formContent{
                    padding: 20px 20px;
                    font-size: 13px;
                    fieldset{
                        margin-bottom: 10px ;
                        ion-input{
                            --padding-top:0;
                            --padding-bottom:0
                        }
                    }

                    .inlineField{
                        display: inline-block;
                        width: 45%;
                        
                    }
                    .rightField{
                        float: right;
                    }
                    .qrCode{
                        height: 280px ;
                        margin-top: 30px;
                        text-align: center;
                        img{
                            height: 90%;
                        }
                    }
                    .finishImg{
                        height: 350px ;
                        margin-top: 0 ;
                    }
                    
                    .scanText{
                        margin-top: 20px ;
                    }
                    .reload{
                        margin: 30px auto ;
                    }
                    .checkBox{
                        margin: 0px 0 ;
                    }
                    .btnContinue{
                        ion-button{
                            height: 30px ;
                            font-size: 15px ;
                        }
                    }
                }
                
            }
        }
    }
}

@media only screen and (max-width: 700px) {

    .logoBar{
        //width: fit-content;
        padding: 10px 40px;
        position: relative;
        span{
            position: absolute;
            top: 0;
            bottom: 0;
            height: fit-content;
            margin: auto;
            left: 120px;
            font-size: 20px;
            font-weight: 600;
        }
        img{
            width: 40px;
    
        }
        ul{
            list-style-type: none;
            color: #2E62BE;
            display: inline-block;
            float: right;
            margin-top: 30px;
            margin-right: 5px;
            li{
                display: inline;
                // margin: 20px;
                cursor: pointer;
                font-weight: 600;
                font-size: 12px;
            }
        }
    }
    
    .entertainment{
        margin-bottom: 150px;
        width: 100%;
        height: 350px;
        // --background: url('../../assets/enter.png')  no-repeat cover fixed center;
        background: url('../../assets/enter.png') no-repeat center; 
        -webkit-background-size: cover;
        -moz-background-size: cover;
        background-size: cover;
    
        .enterTextCover{
            width: 100%;
            padding: 30px;
            // position: relative;
            display: inline-block;
            height: 100%;
            .enterText{
                color: white;
                position: relative;
                margin: auto;
                top: 0;
                left: 0;
                bottom: 0;
                right: 0;
                text-align: center;

                h3{
                    font-size: 28px;
                }
                p{
                    font-size: 30px;
                }
            }
        }
        
        .formCover{
            position: relative;
            width: 100%;
            // display: inline-block;
            // height: 80%;
            // box-shadow: 0px 3px brown;
            .form{
                
                // position: absolute;
                margin: auto;
                right: 0;
                top: -230px;
                left: 0;
                bottom: 0;
                background-color: white;
    
                border: 1px solid gray;
                box-shadow: 0px 0px 5px gray;
                border-radius: 10px;
                width: 80%;
                height: fit-content;
                .formHeader{
                    text-align: center;
                    background-color: #1F83FF;
                    border-radius: 5px 5px 0 0;
                    // height: 80px;
                    line-height: 50px;
                    color: white;
                    font-size: 16px;
                }
                .formContent{
                    font-size: 13px;
                    padding: 20px 20px;
                    // text-align: center;
                    fieldset{
                        border-radius: 5px;
                        border: 1px solid #ADADAD;
                        margin-bottom: 10px;
                        input{
                            --padding-top:0;
                            --padding-bottom:0
                        }
                    }
                    .inlineField{
                        display: inline-block;
                        width: 47%;
                        
                    }
                    .rightField{
                        float: right;
                        
                    }
                    .avatar{
                        width: 30%;
                        margin: auto;
                    }
                    .checkBox{
                        margin: 0 0 20px 0;
                        position: relative;
                        ion-checkbox{
                            position: absolute;
                            top: 0;
                            bottom: 0;
                            margin:auto ;
                            --border-color: #1F83FF;
                            --border-radius:0px;
                        }
                        p{
                            margin-left: 40px;
                        }
                    }
                    .btnContinue{
                        text-align: center;
                        ion-button{
                            width: 100%;
                            height: 40px;
                            font-size: 17px;
                            --background: #29A889;
                        }
                    }
    
                    .qrCode{
                        height: fit-content;
                        text-align: center;
                        // margin-top: 30px;
                        img{
                            // padding: 20px;
                            height: 100%;
                            width: 80%;
                        }
                    }
                    .finishImg{
                        height: 280px;
                        text-align: center;
                        margin-top: 15px;
                        img{
                            height: 100%;
                            width: 60%;
                            margin: auto;
                        }
                    }
                    .scanText{
                        display: none;
                        margin-top: 10px;
                        text-align: center;
                        font-size: 13px;
                    }
                    .deeplink{
                        display: block;
                        margin-top: 10px;
                        text-align: center;
                        font-size: 13px;
                    }
                    .reload{
                        background-image: url('../../assets/reload.png');
                        background-repeat: no-repeat;
                        padding-left: 30px;
                        display: block;
                        width: 100px;
                        background-size: 20px 20px;
                        height: 20px;
                        line-height: 21px;
                        margin:30px auto;
                        cursor: pointer;
                        font-size: 14px;
                        color:black;
                    }
                }
            }
        }   
    }
}